<?xml version="1.0" encoding="UTF-8"?>
<UNICOSMetaModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="..\unicos\UNICOSMetaModel.xsd">
    <Information>
        <Name>ProcessControlObject</Name>
        <ObjectTypeFamily>ControlObjectFamily</ObjectTypeFamily>
        <Description>Process Control Object Device</Description>
        <Version>$LastChangedRevision: 117564 $</Version>
        <VersionComments/>
        <Status/>
    </Information>
    <AttributeFamily>
        <AttributeFamilyName>DeviceIdentification</AttributeFamilyName>
        <UserExpandable>false</UserExpandable>
        <Attribute>
            <AttributeName>Name</AttributeName>
            <Description>Name of the device. It must be unique.
Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>true</isValueRequired>
                <Usage>Name displayed at the SCADA level if "Expert Name" is not specified.
This name will appear in the datapoints created in the SCADA layer.</Usage>
                <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
                <Constraints>Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break
Name must be unique.</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>ExpertName</AttributeName>
            <Description>Name of the device displayed at the SCADA level. It must be unique.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Expert Name</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>It does not affect to the datapoints names in the SCADA layer.</Usage>
                <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
                <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]
Expert Name must be unique.</Constraints>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>DeviceDocumentation</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>DeviceDescription</AttributeName>
            <Description>Description of the device.  </Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Description</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Used in the SCADA layer in the device faceplate</Usage>
                <DependentAttributes/>
                <Constraints>In principle there is no limit to the number of characters used, however a long description may result in display issues at the SCADA level.
Forbidden characters:  ;</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>Remarks</AttributeName>
            <Description>Field used to add relevant information about the device. </Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>false</isValueRequired>
                <Usage>This information is not used in the generation process, it remains only at the specification level for documentation purposes.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  ;</Constraints>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceParameters</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>ParReg</AttributeName>
            <Meaning>Parameter Register</Meaning>
            <Description>Parametrisation register: This register contains all the boolean parameters of the object</Description>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>PEnRstart</AttributeName>
                <Meaning>Parameter Enable Restart</Meaning>
                <Description>Strategy to adopt to restart the device after a Full Stop Interlock.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>8</BitPosition>
                <isSpecificationAttribute>
                    <NameRepresentation>Manual Restart after Full Stop</NameRepresentation>
                    <TypeRepresentation>STRING</TypeRepresentation>
                    <isValueRequired>true</isValueRequired>
                    <PermittedValue>FALSE</PermittedValue>
                    <PermittedValue>TRUE only if Full Stop disappeared</PermittedValue>
                    <PermittedValue>TRUE even if Full Stop still active</PermittedValue>
                    <Usage>FALSE: Device restarts after acknowledge.
TRUE only if Full Stop disappeared: Ack+Allow Restart needed (possible only if FS disappeared)
TRUE even if Full Stop still active: Ack+Allow Restart needed (possible at any moment)</Usage>
                    <DependentAttributes/>
                    <Constraints>All devices of the application should have the same "Manual Restart after Full Stop"</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>PRstartFS</AttributeName>
                <Meaning>Parameter Restart after Full Stop</Meaning>
                <Description>Parameter Restart after Full Stop</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>9</BitPosition>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>POpMoTa</AttributeName>
            <Meaning>Parameter Option Mode Table </Meaning>
            <Description>Modes Option Allowance Table</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Option Mode Allowance Table</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>true</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode1</AttributeName>
                <Meaning>Allowance Option Mode 1</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 1 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode2</AttributeName>
                <Meaning>Allowance Option Mode 2</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 2 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode3</AttributeName>
                <Meaning>Allowance Option Mode 3</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 3 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode4</AttributeName>
                <Meaning>Allowance Option Mode 4</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 4 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode5</AttributeName>
                <Meaning>Allowance Option Mode 5</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 5 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode6</AttributeName>
                <Meaning>Allowance Option Mode 6</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 6 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode7</AttributeName>
                <Meaning>Allowance Option Mode 7</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 7 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>AllowanceOptionMode8</AttributeName>
                <Meaning>Allowance Option Mode 8</Meaning>
                <Description>Allow the transition from one option mode to another when the PCO is running.
String of 8 Booleans (0/1) to define if transition is allowed to other option modes.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 8 Allowance</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceInterlocks</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>StartI</AttributeName>
            <Meaning>Start Interlock</Meaning>
            <Description>Start Interlock Request: When active, the ON request is blocked.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>TStopI</AttributeName>
            <Meaning>Temporary Stop Interlock</Meaning>
            <Description>Temporary Stop Interlock Request: When active, the object goes automatically to its fail safe position and returns to the previous position after acknowledgement.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FuStopI</AttributeName>
            <Meaning>Full Stop Interlock</Meaning>
            <Description>Full Stop Interlock Request: Devices goes to Fail-Safe position and remains until acknowledged.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>Al</AttributeName>
            <Meaning>Alarm</Meaning>
            <Description>Alarm input. This is not an interlock; it has no functional impact on the object. It will just display A on the widget with lower priority than other interlocks.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEConfigurationLogicRequest</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>FOn</AttributeName>
            <Meaning>Feedback On</Meaning>
            <Description>Feedback On, if it is TRUE the PCO is on (only for PCOs)</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FOff</AttributeName>
            <Meaning>Feedback Off</Meaning>
            <Description>Feedback Off, if it is TRUE the PCO is off (only for PCOs)</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>CStopFin</AttributeName>
            <Meaning>Controlled Stop finished</Meaning>
            <Description>Controlled stop finished. The controlled stop sequence is ended.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IhAuMRW</AttributeName>
            <Meaning>Inhibit Auto Manual Request Warning</Meaning>
            <Description>Inhibit Auto Manual Request Warning. This input allows the PCO to know that there are no parent master and avoid warning anumation when set by the operator.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceAutoRequests</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>AuOnR</AttributeName>
            <Meaning>Auto On Request</Meaning>
            <Description>Auto On Request (by logic): The control logic requests ON/Open on the object.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuOffR</AttributeName>
            <Meaning>Auto Off Request</Meaning>
            <Description>Auto Off Request (by logic): The control logic requests Off/Close on the object.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuAuMoR</AttributeName>
            <Meaning>Auto Auto Mode Request</Meaning>
            <Description>Auto Auto Mode Request. The control logic requests Auto Mode on the object</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuIhMMo</AttributeName>
            <Meaning>Auto Inhibit Manual Mode</Meaning>
            <Description>Auto Inhibit Manual Mode (by logic): The control logic blocks the manual mode operation</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuIhFoMo</AttributeName>
            <Meaning>Auto Inhibit Forced Mode</Meaning>
            <Description>Auto Inhibit Forced Mode (by logic): The control logic blocks the forced mode operation.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuCStopR</AttributeName>
            <Meaning>Auto Controlled Stop Request</Meaning>
            <Description>Auto Controlled Stop Request</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuAuDepR</AttributeName>
            <Meaning>Auto Auto Dependant Request</Meaning>
            <Description>Auto Mode Request to all Dependant objects</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuOpMoR</AttributeName>
            <Meaning>Auto Option Mode Request</Meaning>
            <Description>Auto Option Mode Request</Description>
            <PrimitiveType>FLOAT32</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuRStart</AttributeName>
            <Meaning>Auto Enable Restart Request</Meaning>
            <Description>Perform an auto "Allow Restart" from the PLC logic</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuAlAck</AttributeName>
            <Meaning>Auto Alarm Acknowledgement</Meaning>
            <Description>Auto Alarm Acknowledgement: The control logic requests and Acknowledgment of the Alarm Start and Stop Interlocks</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceManualRequests</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>ManReg01</AttributeName>
            <Meaning>Manual Register 1</Meaning>
            <Description>Manual Register 1</Description>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>MAuMoR</AttributeName>
                <Meaning>Manual Auto Mode Request</Meaning>
                <Description>Manual Auto Mode Request: The operator requests the Auto Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MMMoR</AttributeName>
                <Meaning>Manual Manual Mode Request</Meaning>
                <Description>Manual Manual Mode Request: The operator requests the Manual Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MFoMoR</AttributeName>
                <Meaning>Manual Forced Mode Request</Meaning>
                <Description>Manual Forced Mode Request: The operator requests the Forced Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MSoftLDR</AttributeName>
                <Meaning>Manual Software Local Mode</Meaning>
                <Description>The operator requests the Software Local Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOnR</AttributeName>
                <Meaning>Manual On Request</Meaning>
                <Description>Manual On Request: The operator requests the On/Open position</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOffR</AttributeName>
                <Meaning>Manual Off Request</Meaning>
                <Description>Manual Off Request: The operator requests the Off/Close position</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>5</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MCStopR</AttributeName>
                <Meaning>Manual Controlled Stop Request</Meaning>
                <Description>Manual Controlled Stop Request</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>6</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MTSasFSSetRst</AttributeName>
                <Meaning>Manual Temporary Stop as Full Stop Set/Reset</Meaning>
                <Description>Manual Temporary Stop as Full Stop Set/Reset.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>8</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MEnRstartR</AttributeName>
                <Meaning>Manual Enable Restart Request</Meaning>
                <Description>Manual Enable Restart Request: The Operator requests a Manual Restart after Full Stop</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>9</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MAlBSetRst</AttributeName>
                <Meaning>Manual Alarm Block Set/Reset</Meaning>
                <Description>Manual Alarm Block Set/Reset: Operator request to set/reset the alarm block.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>10</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MNewOpMoR</AttributeName>
                <Meaning>Manual New Option Mode Request</Meaning>
                <Description>Option Manual Pulse</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>12</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MAuDepR</AttributeName>
                <Meaning>Manual Auto Dependant Request</Meaning>
                <Description>Manual Auto Mode Request to all Dependent Object.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>13</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MAlAck</AttributeName>
                <Meaning>Manual Alarm Acknowledgement</Meaning>
                <Description>Manual Alarm Acknowledgement</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>15</BitPosition>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>MOpMoR</AttributeName>
            <Meaning>Manual Option Mode Request</Meaning>
            <Description>Manual Option Mode Request</Description>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>FLOAT32</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceEnvironmentInputs</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>IOError</AttributeName>
            <Meaning>Input/Output Error</Meaning>
            <Description>IOError state in any of the dependant objects or the PLC channel assigned to the object</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IOSimu</AttributeName>
            <Meaning>Input/Output Simulated</Meaning>
            <Description>Any of the dependant objects is in Forced or Manual Mode</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlB</AttributeName>
            <Meaning>Alarm Blocked</Meaning>
            <Description>Alarm Blocked: Any of the device dependant alarm objects has been blocked by the operator</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceOutputs</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>StsReg01</AttributeName>
            <Meaning>Status Register 1</Meaning>
            <Description>Status Register 1</Description>
            <isEventAttribute>true</isEventAttribute>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>OnSt</AttributeName>
                <Meaning>On Status</Meaning>
                <Description>On/Open Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>OffSt</AttributeName>
                <Meaning>Off Status</Meaning>
                <Description>Off/Closed Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuMoSt</AttributeName>
                <Meaning>Auto Mode Status</Meaning>
                <Description>Current status of the Auto Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MMoSt</AttributeName>
                <Meaning>Manual Mode Status</Meaning>
                <Description>Current status of the Manual Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>FoMoSt</AttributeName>
                <Meaning>Forced Mode Status</Meaning>
                <Description>Current status of the Forced Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>IOErrorW</AttributeName>
                <Meaning>Input/Output Error Warning</Meaning>
                <Description>Current status of the IOError</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>6</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>IOSimuW</AttributeName>
                <Meaning>Input/Output Simulated Warning</Meaning>
                <Description>Current status of the IOSimu</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>7</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuMRW</AttributeName>
                <Meaning>Auto Manual Request Warning Status.</Meaning>
                <Description>Auto and manual requests discrepancy when Manual/Forced mode active.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>8</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>FuStopISt</AttributeName>
                <Meaning>Full Stop InterLock Status</Meaning>
                <Description>Full Stop InterLock Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>9</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>StartISt</AttributeName>
                <Meaning>Start Interlock Status</Meaning>
                <Description>Current status of the Start Interlock</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>10</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>TStopISt</AttributeName>
                <Meaning>Temporary Stop Interlock Status</Meaning>
                <Description>Current status of the Temporary Stop Interlock</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>11</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AlUnAck</AttributeName>
                <Meaning>Alarm UnAcknowledged</Meaning>
                <Description>Alarm UnAcknowledged: The alarm or at least one of the alarms associated to the object is not acknowledged</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>12</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuIhFoMoSt</AttributeName>
                <Meaning>Auto Inhibit Forced Mode Status</Meaning>
                <Description>Auto Inhibit Forced Mode status: Current status of the Auto Inhibit forced mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>13</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AlSt</AttributeName>
                <Meaning>Alarm Status</Meaning>
                <Description>Alarm Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>14</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuIhMMoSt</AttributeName>
                <Meaning>Auto Inhibit Manual Mode Status</Meaning>
                <Description>Auto Inhibit Manual Mode Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>15</BitPosition>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>StsReg02</AttributeName>
            <Meaning>Status Register 2</Meaning>
            <Description>Status Register 2</Description>
            <isEventAttribute>true</isEventAttribute>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>RunOSt</AttributeName>
                <Meaning>Run Order Status</Meaning>
                <Description>Run Order Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuOnRSt</AttributeName>
                <Meaning>Auto On Request Status</Meaning>
                <Description>Auto On/Open Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOnRSt</AttributeName>
                <Meaning>Manual On Request Status</Meaning>
                <Description>Manual On/Open Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuAuDepRSt</AttributeName>
                <Meaning>Auto Auto Dependant Request Status</Meaning>
                <Description>Auto Mode Request Requested by operator</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuDepOSt</AttributeName>
                <Meaning>Auto Dependant Objects Status</Meaning>
                <Description>Auto Mode Request Order to all dependant Objects.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuCStopRSt</AttributeName>
                <Meaning>Auto Controlled Stop Request Status</Meaning>
                <Description>Auto Controlled Stop Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>5</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MAlBRSt</AttributeName>
                <Meaning>Manual Alarm Block Request Status</Meaning>
                <Description>Manual Alarm Block Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>6</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MTSasFSRSt</AttributeName>
                <Meaning>Manual Temporary Stop as Full Stop Request Status</Meaning>
                <Description>Manual Temporary Stop as Full Stop Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>7</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>CStopOSt</AttributeName>
                <Meaning>Controlled Stop Order Status</Meaning>
                <Description>Control Stop Order Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>8</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>EnRstartSt</AttributeName>
                <Meaning>Enable Restart Status</Meaning>
                <Description>Manual Restart after full stop status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>11</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>SoftLDSt</AttributeName>
                <Meaning>Software Local Mode Status</Meaning>
                <Description>Current status of the Software Local Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>12</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AlBW</AttributeName>
                <Meaning>Alarm Blocked Warning</Meaning>
                <Description>When true, the alarm or any of the device dependant alarm objects have been blocked by the operator</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>13</BitPosition>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>OnSt</AttributeName>
            <Meaning>On Status</Meaning>
            <Description>On/Open Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>OffSt</AttributeName>
            <Meaning>Off Status</Meaning>
            <Description>Off/Closed Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>RunOSt</AttributeName>
            <Meaning>Run Order Status</Meaning>
            <Description>Run Order. Indicate that the Object start is requested and there is no interlock</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>CStopOSt</AttributeName>
            <Meaning>Controlled Stop Order Status</Meaning>
            <Description>Control Stop Order. Control Stop Requested</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuDepOSt</AttributeName>
            <Meaning>Auto Dependant Objects Status</Meaning>
            <Description>Auto Mode Request Order to all dependant Objects.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>OpMoSt</AttributeName>
            <Meaning>Option Mode Status</Meaning>
            <Description>Option Mode Status : Active Option Mode.</Description>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>FLOAT32</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuOpMoSt</AttributeName>
            <Meaning>Auto Option Mode Status</Meaning>
            <Description>Auto Option Mode Status : Option Mode requested by Control Logic</Description>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>FLOAT32</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuMoSt</AttributeName>
            <Meaning>Auto Mode Status</Meaning>
            <Description>Current status of the Auto Mode</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>MMoSt</AttributeName>
            <Meaning>Manual Mode Status</Meaning>
            <Description>Current status of the Manual Mode request</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FoMoSt</AttributeName>
            <Meaning>Forced Mode Status</Meaning>
            <Description>Current status of the Forced Mode.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>SoftLDSt</AttributeName>
            <Meaning>Software Local Drive Status</Meaning>
            <Description>Current status of the Sotware Local mode request</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IOErrorW</AttributeName>
            <Meaning>Input/Output Error Warning</Meaning>
            <Description>Current status of the IOError</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IOSimuW</AttributeName>
            <Meaning>Inpout/Output Simulated Warning</Meaning>
            <Description>Current status of the IOSimu</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlUnAck</AttributeName>
            <Meaning>Alarm UnAcknowledged</Meaning>
            <Description>Alarm UnAcknowledged: The alarm or at least one of the alarms associated to the object is not acknowledged</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FuStopISt</AttributeName>
            <Meaning>Full Stop Interlock Status</Meaning>
            <Description>Full Stop Interlock Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>StartISt</AttributeName>
            <Meaning>Start Interlock Status</Meaning>
            <Description>Current status of StartI</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>TStopISt</AttributeName>
            <Meaning>Temporary Stop Interlock Status</Meaning>
            <Description>Current status of TStopI</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuMRW</AttributeName>
            <Meaning>Auto Manual Request Warning</Meaning>
            <Description>Auto and manual requests discrepancy when Manual/Forced mode active</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlBW</AttributeName>
            <Meaning>Alarm Blocked Warning</Meaning>
            <Description>When true, the alarm or any of the device dependant alarm objects have been blocked by the operator</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>EnRStartSt</AttributeName>
            <Meaning>Enable Restart Status</Meaning>
            <Description>Manual Restart after full stop status possible</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>RdyStartSt</AttributeName>
            <Meaning>Ready To Start Status</Meaning>
            <Description>The object is ready to start, there is no blocking process to start.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlSt</AttributeName>
            <Meaning>Alarm Status</Meaning>
            <Description>Alarm Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>SCADADeviceGraphics</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>WidgetType</AttributeName>
            <Description>Define the widget type to display in the SCADA device tree overview only. 
The widget displayed in the process panel will be selected when the user creates the panel.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Widget Type</NameRepresentation>
                <isValueRequired>true</isValueRequired>
                <isCaseSensitive>true</isCaseSensitive>
                <PermittedValue>PCO</PermittedValue>
                <PermittedValue>PCOAirHandlingUniHorizontalLeft</PermittedValue>
                <PermittedValue>PCOAirHandlingUniVerticalDown</PermittedValue>
                <PermittedValue>PCOAirHandlingUniVerticalUp</PermittedValue>
                <PermittedValue>PCOCompressorHorizontalLeft</PermittedValue>
                <PermittedValue>PCOCompressorHorizontalRight</PermittedValue>
                <PermittedValue>PCOCompressorVerticalHigh</PermittedValue>
                <PermittedValue>PCOCompressorVerticalLow</PermittedValue>
                <PermittedValue>PCOTurbineHorizontalLeft</PermittedValue>
                <PermittedValue>PCOTurbineHorizontalRight</PermittedValue>
                <PermittedValue>PCOTurbineVerticalHigh</PermittedValue>
                <PermittedValue>PCOTurbineVerticalLow</PermittedValue>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>DisplayName</AttributeName>
            <Description>Short Name displayed in the PCO widget in SCADA.
Should be &lt;= 8 characters to be correctly displayed in PCO widget.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Display Name</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints>Should be &lt;= 8 characters to be correctly displayed in PCO widget</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>Synoptic</AttributeName>
            <Description>Define link between the device and an existing synoptic where it appears. The synoptic specified here can be accessed from the device right-click menu item "Synoptic".</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>false</isValueRequired>
                <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project.</Usage>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>DiagnosticPanel</AttributeName>
            <Description>Define link between the device and an existing diagnostic panel for the device. The panel specified here can be accessed from the device right-click menu item "Diagnostic" as well as from the "Diagnostic" button on the object faceplate.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Diagnostic</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project </Usage>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>WWWLink</AttributeName>
            <Description>Define link between the device and an existing web page (or pdf file, or other file which can be opened with IE).  The link can be accessed from the device right-click menu item "Info" as well as from the "Info" button on the object faceplate.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>WWW Link</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>SCADADeviceFunctionals</AttributeFamilyName>
        <UserExpandable>false</UserExpandable>
        <Attribute>
            <AttributeName>MaskEvent</AttributeName>
            <Description>If TRUE: the events of the device will be masked in SCADA and not diplayed or archived in the Event List.
An 'event' is defined as a bit change in StsReg01 or StsReg02</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Mask Event</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>AccessControlDomain</AttributeName>
            <Description>Define Access Control on the device to an existing SCADA Domain
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Access Control Domain</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>This domain is used to grant access to this specific device. The domain specified for this object will allow access to the object only to registered users on that domain</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>ModeLabel</AttributeName>
            <Description>Modes Label Table</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Mode Label</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>true</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
            <Attribute>
                <AttributeName>ModeLabel1</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 1 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel2</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 2 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel3</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 3 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel4</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 4 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel5</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 5 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel6</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 6 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel7</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 7 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>ModeLabel8</AttributeName>
                <Description>Label assigned to the option mode and displayed on the PCO widget in SCADA.
Should be &lt;= 16 characters to be correctly displayed in PCO widget.</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Option Mode 8 Label</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes/>
                    <Constraints>Should be &lt;= 16 characters to be correctly displayed in PCO widget</Constraints>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>SCADADeviceClassificationTags</AttributeName>
            <Description>It defines the Domain, Nature and DeviceLinks for the SCADA visualization</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <Attribute>
                <AttributeName>Domain</AttributeName>
                <Description>Domain of the device. If empty, the domain will be the name of the application
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Domain is used to filter the devices in the alarm list or in the device tree overview</Usage>
                    <DependentAttributes/>
                    <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Nature</AttributeName>
                <Description>Nature of the device. If empty, the nature will be the type of the device
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Nature is used to filter the devices in the alarm list or in the device tree overview</Usage>
                    <DependentAttributes/>
                    <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>DeviceLinks</AttributeName>
                <Description>Define links to other devices (separate device names with commas). 
Note: it is not necessary to link to master, parents or children because these links are automatically created.
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Device Links</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Linked devices will be shown in the device right-click menu</Usage>
                    <DependentAttributes>Expert Name or Name.
The name of the device(s) specified here *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified here corresponds to "Name".</DependentAttributes>
                    <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>SCADADeviceDataArchiving</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>BooleanArch</AttributeName>
            <Description>Name of the Boolean archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <DefaultValue>boolean</DefaultValue>
            <isSpecificationAttribute>
                <NameRepresentation>Boolean Archive</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The boolean values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>AnalogArch</AttributeName>
            <Description>Name of the analog archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <DefaultValue>analog</DefaultValue>
            <isSpecificationAttribute>
                <NameRepresentation>Analog Archive</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The analog values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>EventArch</AttributeName>
            <Description>Name of the event archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <DefaultValue>event</DefaultValue>
            <isSpecificationAttribute>
                <NameRepresentation>Event Archive</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The events generated by the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>LogicDeviceDefinitions</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>MasterDevice</AttributeName>
            <Description>Master of the device (relative to the hierarchy of dependent objects).</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Master</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The master will give automatic requests to the device. The master object will appear in the list of "Device Links" in the device right-click menu.</Usage>
                <DependentAttributes/>
                <Constraints>Must be a single PCO for field objects, controller, or PCO. 
Must be PCO or field objects for alarms (several masters are allowed in the case of multiple alarms, separated by commas or spaces).</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>CustomLogicParameters</AttributeName>
            <Description>User defined meaning, used by the logic generators.</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <Attribute>
                <AttributeName>Parameter1</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter2</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter3</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter4</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter5</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter6</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter7</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter8</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter9</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter10</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>CustomLogicSections</AttributeName>
            <Description>If specified, these sections will override the default logic sections (UNICOS provided).</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
            <Attribute>
                <AttributeName>IL</AttributeName>
                <Description>Define user template for the Interlock Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>IL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>CL</AttributeName>
                <Description>Define user template for the Configuration Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>CL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>BL</AttributeName>
                <Description>Define user template for the Basic Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>BL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>INST</AttributeName>
                <Description>Define user template for the instantiation of the PCO</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>INST User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>GL</AttributeName>
                <Description>Define user template for the Global Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>GL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>TL</AttributeName>
                <Description>Define user template for the Transition Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>TL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>SL</AttributeName>
                <Description>Define user template for the Sequencer Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>SL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>CDOL</AttributeName>
                <Description>Define user template for the Common Dependent Object Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>CDOL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>DL</AttributeName>
                <Description>Define user template for the Dependent Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>DL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>DeviceTechnicals</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>PROCOSConfiguration</AttributeName>
            <Description>PROCOS parameters allowing simulation</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <Attribute>
                <AttributeName>Config</AttributeName>
                <Description>Device mode configuration for simulation (Simulated, Forced or Empty)</Description>
                <PrimitiveType>STRING</PrimitiveType>
            </Attribute>
            <Attribute>
                <AttributeName>ForcedValue</AttributeName>
                <Description>Forced value defined (e.g.: analog: 4.5, digital: 0 or 1)</Description>
                <PrimitiveType>STRING</PrimitiveType>
            </Attribute>
            <Attribute>
                <AttributeName>Hierarchy</AttributeName>
                <Description>Hierarchy definition following the Simulation model</Description>
                <PrimitiveType>STRING</PrimitiveType>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>TargetDeviceInformation</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>Target</AttributeName>
            <Description>Identifies a target type (e.g. SIEMENS, SCHNEIDER...)</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <DefaultValue>Siemens</DefaultValue>
            <Attribute>
                <AttributeName>RepresentationName</AttributeName>
                <Description>It's the name used ...</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <DefaultValue>PCO</DefaultValue>
            </Attribute>
            <Attribute>
                <AttributeName>Optimized</AttributeName>
                <Description>Is this object an optimized Object?</Description>
                <PrimitiveType>BOOLEAN</PrimitiveType>
                <DefaultValue>false</DefaultValue>
            </Attribute>
            <Attribute>
                <AttributeName>LimitSize</AttributeName>
                <Description>Maximun number of instances allowed</Description>
                <PrimitiveType>INT32</PrimitiveType>
                <DefaultValue>1000</DefaultValue>
            </Attribute>
        </Attribute>
    </AttributeFamily>
</UNICOSMetaModel>
